/**
 * The event detail for the grid pro genesis datasource `error` event.
 * @public
 */
export type GridProGenesisDatasourceErrorEventDetail = {
    message: string;
};
/**
 * The error event grid pro genesis datasource.
 * @public
 */
export type GridProGenesisDatasourceErrorEvent = CustomEvent<GridProGenesisDatasourceErrorEventDetail>;
/**
 * The event detail for the grid pro genesis datasource `rowDataSet` event.
 * @public
 */
export type GridProGenesisRowDataSetEventDetail = {
    data: any[];
};
/**
 * The rowDataSet event grid pro genesis datasource.
 * @public
 */
export type GridProGenesisRowDataSetEvent = CustomEvent<GridProGenesisRowDataSetEventDetail>;
//# sourceMappingURL=grid-pro-genesis-datasource.types.d.ts.map